﻿$(document).ready(function () {
    $("#aAddTaskTrackTimeRecord").click(function () {
        if (ValidateTaskTrackTimeRecord()) {
            $("#aAddTaskTrackTimeRecord").addClass('loading-16');

            $("#divTaskTrackTimeRecords").load(RQ_URL + "/Tasks/PartialTaskTrackTimeRecordAdd", { sessionGUID: $("#hiddenGUID").val(), duration: $("#tbTaskTrackTimeRecordDuration").val(), description: $("#tbTaskTrackTimeRecordDescription").val() }, function () {
                $("#tbTaskTrackTimeRecordDuration").val('');
                $("#tbTaskTrackTimeRecordDescription").val('');
                $("#aAddTaskTrackTimeRecord").removeClass('loading-16');
            });
        }
    });
})

function ValidateTaskTrackTimeRecord() {
    $(".valid-error").hide();

    if ($("#tbTaskTrackTimeRecordDuration").val() == "") {
        $("#trackTaskTimeRecordDurationRequired").show();
    }
    else if (!ValidateTaskTrackTimeRecordDurationInput()) {
        $("#trackTaskTimeRecordDurationCorrectFormat").show();
    }
    else if ($("#tbTaskTrackTimeRecordDescription").val() == "") {
        $("#trackTaskTimeRecordDescriptionRequired").show();
    }
    else
        return true;

    return false;
}

function ValidateTaskTrackTimeRecordDurationInput() {
    var input = $("#tbTaskTrackTimeRecordDuration").val().replace(/ /g, '');
    var regex1 = new RegExp("^[0-9]+:[0-9]{1,2}$");
    var regex2 = new RegExp("^[0-9]+h[0-9]{1,2}m$");
    var regex3 = new RegExp("^[0-9]+m?$");
    var regex4 = new RegExp("^[0-9]+([,\.][0-9]+)?h$");
    return regex1.test(input) || regex2.test(input) || regex3.test(input) || regex4.test(input);
}

